Subject: bug#66247: 29.1; Transient frame problems with Emacs 29 on MS Windows

From: Po Lu <[email-masked]>
Date: Fri, 29 Sep 2023 10:49:26 +0800

Drew Adams <[email-masked]> writes:

> Thank you very much!  That helps.
>
> I see mention of this in NEWS, now.  And I see
> it described in (elisp) `Management Parameters'.
>
> However, the positive reason that the default
> behavior was changed is not really developed.
> Both NEWS and the Elisp manual just say that
> the default behavior (double buffering) aims
> "to reduce display flicker".  Can you (and the
> doc) please say more?

No, because the flicker manifests differently for each person who
encounters it.

> And this language in the manual is, I think,
> unfortunate: if you "pine for that retro,
> flicker-y feeling" then set the parameter to t.

I agree.

> Has anyone ever really reported any such flicker
> on MS Windows?  I've never noticed any "display
> flicker" there.  Quite the opposite.  I used

That's subject to the graphics driver installed, I believe.  Many MS
Windows users reported severe flicker while scrolling in the past, a
problem that has all but vanished with the introduction of double
buffering.